#include<stdio.h>


int main(){
  
  int n,i=1,noviBroj=0,j;
  scanf("%d",&n);
  if(n<1000 || n>9999){
    printf("-1\n");
    return 1;
  }
  
  while(n!=0){
    j=n%10;
    if(j%2==1){
      j--;
    }
    noviBroj=noviBroj + j*i;
    i*=10;
    n/=10;
    
  }
  printf("%d\n",noviBroj);
  
  return 0;
  
}